Subject: bug#21777: 25.0.50; gud-gdb uses a pager, which is harmful inside emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2015 22:34:25 +0200

> From: Dima Kogan <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 30 Oct 2015 12:05:54 -0700
> 
> >> > - when gud starts up, if it's 'uninitialized', we ask the user if they
> >> >   want to override, and whether to do so in the future; if they say yes,
> >> >   we update their .emacs.d/init.el. narrow-to-region has this type of
> >> >   user querying. We override only if it's 'yes'
> >> 
> >> Why not a simpler boolean, off by default?  This problem will go away
> >> soon enough, so maybe solutions that are too complicated would be
> >> over-engineering it?
> 
> You need a third state to know whether to pester the user or not

Why pester them?  Let's rely on them to know what to do, or ask.

> > I think if we have such an option, and it's by default off, we might
> > consider not bothering about gdbinit commands that contradict the
> > effect of that option.  The option gives users enough power to decide
> > what they want more.
> 
> Right. This was the idea. I'll send a patch at some point. Not today.

There's no rush.  Thanks in advance.